Skip to main content
List Documents and unattached uploads

Authorizations

Authorization
string
header
required

Personal API key. Send X-Organization-Id. The required cumulative level is listed in x-watchdog-permission.

Headers

X-Organization-Id
string

Required for personal API keys. Target one organization you have access to. Migrated keys may omit it to use their original organization. For Clerk sessions, it must match the active organization.

Query Parameters

limit
integer
default:50

Maximum number of results per page.

Required range: 1 <= x <= 100
cursor
string

Opaque next_cursor from the previous page. Keep the same filters and sort; omit for the first page.

Maximum string length: 4096
category
enum<string>
Available options:
invoice,
agreement,
other
unattached
enum<string>
Available options:
true,
false
file_name
string
Maximum string length: 255
previous_version_id
string<uuid>
sort
enum<string>
default:created_at
Available options:
created_at,
file_name,
file_size,
page_count
order
enum<string>
default:desc
Available options:
asc,
desc

Response

Live cursor page of Documents.

data
object[]
required
Maximum array length: 100
next_cursor
string | null
required